package com.ruoyi.abuwx.service.impl;

import com.ruoyi.abuwx.domain.UserFeedback;
import com.ruoyi.abuwx.mapper.UserFeedbackMapper;
import com.ruoyi.abuwx.service.IUserFeedbackService;
import com.ruoyi.common.utils.DateUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * 用户反馈管理Service业务层处理
 * 
 * @author lujie
 * @date 2025-01-20
 */
@Service
public class UserFeedbackServiceImpl implements IUserFeedbackService 
{
    @Autowired
    private UserFeedbackMapper userFeedbackMapper;

    /**
     * 查询用户反馈管理
     * 
     * @param id 用户反馈管理主键
     * @return 用户反馈管理
     */
    @Override
    public UserFeedback selectUserFeedbackById(Long id)
    {
        return userFeedbackMapper.selectUserFeedbackById(id);
    }

    /**
     * 查询用户反馈管理列表
     * 
     * @param userFeedback 用户反馈管理
     * @return 用户反馈管理
     */
    @Override
    public List<UserFeedback> selectUserFeedbackList(UserFeedback userFeedback)
    {
        return userFeedbackMapper.selectUserFeedbackList(userFeedback);
    }

    /**
     * 新增用户反馈管理
     * 
     * @param userFeedback 用户反馈管理
     * @return 结果
     */
    @Override
    public int insertUserFeedback(UserFeedback userFeedback)
    {
        userFeedback.setCreateTime(DateUtils.getNowDate());
        return userFeedbackMapper.insertUserFeedback(userFeedback);
    }

    /**
     * 修改用户反馈管理
     * 
     * @param userFeedback 用户反馈管理
     * @return 结果
     */
    @Override
    public int updateUserFeedback(UserFeedback userFeedback)
    {
        userFeedback.setUpdateTime(DateUtils.getNowDate());
        return userFeedbackMapper.updateUserFeedback(userFeedback);
    }

    /**
     * 批量删除用户反馈管理
     * 
     * @param ids 需要删除的用户反馈管理主键
     * @return 结果
     */
    @Override
    public int deleteUserFeedbackByIds(Long[] ids)
    {
        return userFeedbackMapper.deleteUserFeedbackByIds(ids);
    }

    /**
     * 删除用户反馈管理信息
     * 
     * @param id 用户反馈管理主键
     * @return 结果
     */
    @Override
    public int deleteUserFeedbackById(Long id)
    {
        return userFeedbackMapper.deleteUserFeedbackById(id);
    }
}
